# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.introspection
Interface IServiceDocument

All Known Implementing Classes:
  ServiceDocument

    public interface IServiceDocument

Shared service document interface.

Method Summary
`IWorkspace` `addWorkspace(java.lang.String title)` Add a new workspace to the service document, returning the newly created workspace to the caller.
`java.util.List<? extends IWorkspace>` `getWorkspaces()` Returns the workspaces associated with this service.

Method Detail

### getWorkspaces

    java.util.List<? extends IWorkspace> getWorkspaces()

  Returns the workspaces associated with this service.

### addWorkspace

    IWorkspace addWorkspace(java.lang.String title)

  Add a new workspace to the service document, returning the newly created workspace to the caller.